[arch-commits] Commit in qscintilla (kde-unstable kde-unstable/PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Sat Dec 12 15:40:01 UTC 2009


    Date: Saturday, December 12, 2009 @ 10:40:01
  Author: andrea
Revision: 61149

prepare kde-unstable repo

Added:
  qscintilla/kde-unstable/
  qscintilla/kde-unstable/PKGBUILD

----------+
 PKGBUILD |   54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

Added: kde-unstable/PKGBUILD
===================================================================
--- kde-unstable/PKGBUILD	                        (rev 0)
+++ kde-unstable/PKGBUILD	2009-12-12 15:40:01 UTC (rev 61149)
@@ -0,0 +1,54 @@
+# $Id: PKGBUILD 46926 2009-07-22 04:56:17Z pierre $
+# Maintainer: Douglas Soares de Andrade <dsa at aur.archlinux.org>
+# Contributor: Michal Krenek <mikos at sg1.cz>
+# Bug #8577 Modifications made by DaNiMoTh <jjdanimoth.aur at gmail.com>
+
+pkgname=qscintilla
+pkgver=2.4.120091101
+_pkgver=2.4.1-snapshot-20091101
+pkgrel=1
+license=('GPL')
+pkgdesc="A port to Qt4 of Neil Hodgson's Scintilla C++ editor class."
+arch=('i686' 'x86_64')
+url="http://www.riverbankcomputing.co.uk/software/qscintilla/download"
+depends=('qt')
+provides=('qscintilla2')
+conflicts=('qscintilla2')
+replaces=('qscintilla2')
+source=(http://riverbankcomputing.com/static/Downloads/QScintilla2/QScintilla-gpl-$_pkgver.tar.gz)
+md5sums=('92b11af2205fb6329ff1e9861e4bc3dd')
+
+build() {
+    cd $srcdir/QScintilla-gpl-$_pkgver/Qt4
+    sed -i "s|DESTDIR = .*|DESTDIR = $pkgdir/usr/lib|g" qscintilla.pro
+    sed -i "s|header.path = .*|header.path = $pkgdir/usr/include|g" qscintilla.pro
+    sed -i "s|trans.path = .*|trans.path = $pkgdir/usr/share/qt/translations|g" qscintilla.pro
+    sed -i "s|qsci.path = .*|qsci.path = $pkgdir/usr/share/qt/translations|g" qscintilla.pro
+
+    qmake qscintilla.pro
+    sed -i 's|$(MOVE) $(TARGET)|$(COPY) $(TARGET)|g' Makefile
+    make || return 1
+    make DESTDIR=$pkgdir install
+    
+    cd ../designer-Qt4
+
+    # Qt4 designer qscintilla2 plugin
+    mkdir -p $pkgdir/usr/lib/qt/plugins/designer
+
+    echo "INCPATH += ../Qt4" >> designer.pro
+    sed -i "s|LIBS.*|LIBS += -L../Qt4 -lqscintilla2|g" designer.pro
+    qmake designer.pro
+    make || return 1
+    cp libqscintillaplugin.so $pkgdir/usr/lib/qt/plugins/designer/ || return 1
+
+    msg "Installing the libs to the right place"
+
+    cd ../Qt4
+    cp libqscintilla2.so.5.2.0 $pkgdir/usr/lib/ || return 1
+
+    pushd $pkgdir/usr/lib/
+        ln -s libqscintilla2.so.5.2.0 libqscintilla2.so
+        ln -s libqscintilla2.so.5.2.0 libqscintilla2.so.5
+        ln -s libqscintilla2.so.5.2.0 libqscintilla2.so.5.2
+    popd
+}




More information about the arch-commits mailing list